#
# spec file for package perl-ExtUtils-XSBuilder
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname	ExtUtils-XSBuilder
Name:           perl-%{modname}
Version:        0.28
Release:        12.17
Summary:        Automatic Perl XS Glue Code Generation
License:        GPL/Artistic
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/ExtUtils-XSBuilder/
Source:         %{modname}-%{version}.tar.gz
Requires:       perl = %{perl_version}
Requires:       perl-Parse-RecDescent
Requires:       perl-Tie-IxHash
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} >= 1120
BuildRequires:  perl-Parse-RecDescent
BuildRequires:  perl-Tie-IxHash
BuildRequires:  perl-macros
%else
BuildRequires:  perl
BuildRequires:  perl-Parse-RecDescent
BuildRequires:  perl-Tie-IxHash
%endif

%description
ExtUtils::XSBuilder is a set modules to parse C header files and create XS glue
code and documentation out of it. Ideally this allows to "write" an interface
to a C library without coding a line. Since no C-API is ideal, some adjuments
are necessary most of the time. So to use this module you must still be familar
with C and XS programming, but it removes a lot of stupid work and copy & paste
from you. Also when the C API changes, most of the time you only have to rerun
XSBuilder to get your new Perl API.

%prep
%setup -q -n %{modname}-%{version}
chmod a-x README Changes

%build
perl Makefile.PL OPTIMIZE="%{optflags} -Wall"
make %{?_smp_mflags}
make %{?_smp_mflags} test

%install
make DESTDIR=%{buildroot} install_vendor
%perl_process_packlist
%if 0%{?suse_version} >= 1140
rm -rf %{buildroot}%{_localstatedir}/adm/perl-modules
%endif

%files
%defattr(-, root, root)
%doc Changes README
%{_mandir}/man?/*
%{perl_vendorlib}/ExtUtils
%{perl_vendorarch}/auto/ExtUtils
%if 0%{?suse_version} <= 1130
%{_localstatedir}/adm/perl-modules/perl-ExtUtils-XSBuilder
%endif

%changelog
* Wed Sep 30 2015 pgajdos@suse.com
- spec-cleaner, build for SLE_11
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Mon Nov  5 2007 jfunk@funktronics.ca
- Initial release
